Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Bold™

Reply
New Contributor
Posts: 3
Registered: ‎01-24-2011
My Device: Bold 9700
My Carrier: AT&T

OS 6 for my 9700

is there any way to update from 5.0 to OS 6 for my AT&T 9700 in North America?

Super Contributor
Posts: 623
Registered: ‎11-19-2010
My Device: Bold 9700
My Carrier: Vodafone

Re: OS 6 for my 9700

Firstly, what operating system are you running on your computer? Eg Windows XP/Vista/7, Mac OSX?
New Contributor
Posts: 3
Registered: ‎01-24-2011
My Device: Bold 9700
My Carrier: AT&T

Re: OS 6 for my 9700

I'm running Mac OS 10.5

Super Contributor
Posts: 623
Registered: ‎11-19-2010
My Device: Bold 9700
My Carrier: Vodafone

Re: OS 6 for my 9700

Ok, this is a carrier release of OS6 that I and others are running and it works fine! Unfortunately I have never used Mac but you should know where the program files are.

Here is the official version.
 
https://www.blackberry.com/Downloads/entry.do?code=15CF76466B97264765356FCC56D801D1
 
Instructions for installing on ANY carrier's 9700:

1. Download the above OS file to the PC then install it to the PC by running (double clicking) the file you downloaded.
2. Go to c:\program files\common files\research in motion\apploader and delete the file named "vendor.xml." Vista/Win7 users: In the apploader folder, simply click on "Compatibility files" to see the actual Vendor.xml file. and voila, it will allow you to update to the newly installed OS!
3. Plug in BB and double click on "Loader.exe." It's located in the same place as the above vendor.xml file.

The process takes about 45 minutes to an hour depending on how much data you have to backup and restore during the process. Once it's done loading the new OS it will reboot (it may do this twice during the entire process.) You will see a black "BlackBerry" screen with a status bar for up to 20 minutes at a time while the DM says "waiting for initialization."
If, for some reason, you end up with a white screen with small icons and the number 507, simply connect to the PC again and run Loader.exe again, and it should load the OS to the device.
New Contributor
Posts: 3
Registered: ‎01-24-2011
My Device: Bold 9700
My Carrier: AT&T

Re: OS 6 for my 9700

Awesome!  I'm actually at work right now but I'll try this as soon as I get home.  Thank you very much!

Super Contributor
Posts: 623
Registered: ‎11-19-2010
My Device: Bold 9700
My Carrier: Vodafone

Re: OS 6 for my 9700

Ok no worries. If you have any problems, comment on here, or private message me and I will do my best to help! PS. The instructions for when you have downloaded the OS, are for Windows operating systems, so just bear that in mind!
Super Contributor
Posts: 623
Registered: ‎11-19-2010
My Device: Bold 9700
My Carrier: Vodafone

Re: OS 6 for my 9700

One final comment, I must warn you that if your carrier hasn't officially released OS6 on their network, and you have any problems with it and go to them for support, they will not help you! Of course, we, the Forum, will help with any problems, but your carrier may not. Its your choice.
New Member
Posts: 1
Registered: ‎05-12-2011
My Device: 9700
My Carrier: AT&T

Re: OS 6 for my 9700

Hi there,

 

In regards to install OS 6 on 9700, do you have an instruction for mac users?

 

Thanks & regards,

karen

Super Contributor
Posts: 323
Registered: ‎05-10-2011
My Device: Z10

Re: OS 6 for my 9700

Long story short, you can't use these instructions on a Mac because you can't install the software updater on a Mac. The only thing that runs on the Mac at the moment is the Desktop Manager for Mac, and this will only allow you to update if your carrier has released a version for your device as it is done through the Desktop Manager application.

The simplest thing would be to find a friend with a PC, or do it at work on your office PC.

I'm a Mac user myself, and this is what I've had to do in the past, unfortunately.
----------
BESX 5.0.4, SQL 2008, Exchange 2010 SP2 RU4a